<?php declare(strict_types=1);

namespace Plugin\km_snackys\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;
use JTL\DB\ReturnType;
use JTL\Language\LanguageHelper;

class Migration20211112200000 extends Migration implements IMigration
{	

	private $langVars = array(
		'moreFilters' => array(
			'ger' => 'Mehr Filter',
			'eng' => 'more filters'
		),
		'sonderpreisBis' => array(
			'ger' => 'Gültig bis:',
			'eng' => 'Valid until:'
		),
		'sonderpreisBisDetail' => array(
			'ger' => 'Angebot gültig bis:',
			'eng' => 'Offer valid until:'
		),
		'productAvailableIn' => array(
			'ger' => 'Verfügbar in:',
			'eng' => 'Available in:'
		)
	);
    public function up()
    {

		//Jetzt immer anlegen, damit es im Plugin nicht mehr als geprüft werden muss, je nach Rechten geht das auch leider nicht sauber
		$this->getDB()->query("CREATE TABLE IF NOT EXISTS `km_plugin_settings` (
			  `setting` varchar(50) NOT NULL PRIMARY KEY,
			  `value` TEXT NOT NULL
			) ENGINE=InnoDB DEFAULT CHARSET=utf8;");
			

		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='liveBasketFromBasket', `nValue`='Y'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='richSnippetsLists', `nValue`='1'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='listingCanonicalToFirst', `nValue`='N'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='specialpriceDate', `nValue`='C'");
		$this->execute("INSERT IGNORE INTO `km_snackys_config` SET `nKey`='availableDate', `nValue`='C'");


		//Now check language variables
		$langHelper = new LanguageHelper(\Shop::Container()->getDB(), \Shop::Container()->getCache());
		$installedLanguages = $langHelper->getInstalled();

		$kSprachsektion = \Shop::Container()->getDB()
			->select(
				'tsprachsektion',
				'cName',
				'custom'
			)
			->kSprachsektion;
		foreach($installedLanguages as $lang)
		{
			$cISO = $lang->getCode();
			$langHelper->setzeSprache($cISO);
			foreach($this->langVars as $key => $valueVar)
			{
				$checkLang = $langHelper->get($key, 'custom');
				if(!$checkLang || (substr($checkLang,0,1)=='#' && substr($checkLang,-1,1)=='#'))
				{
					$value = ($cISO == 'ger') ? $valueVar['ger'] : $valueVar['eng'];
					$langHelper->fuegeEin($cISO, (int)$kSprachsektion, $key, $value);
				}
			}
		}
    }

    public function down()
    {
        //Nothing to Do
    }
}